id: rock
source: spirit
source-layer: rock
type: fill
paint:
    fill-color: 
      - match
      - [get, rock]
      - bare_rock
      - '#ffffff' # wasfc47a lch(63,45,138)
      - '#7fc47a'
    fill-opacity: 0.5
